Subject: bug#531 closed by Mark Hindley <[email-masked]> (Re: bug#531: kbd: Init scripts were stripped at 2.0.3-2)

From: "Devuan bug Tracking System" <[email-masked]>
Date: Thu, 16 Feb 2023 14:40:03 +0000

This is an automatic notification regarding your bug report
which was filed against the kbd package:

#531: kbd: Init scripts were stripped at 2.0.3-2

It has been closed by Mark Hindley <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Mark Hindley <[email-masked]> by
replying to this email.

-- 
531: https://bugs.devuan.org/cgi/bugreport.cgi?bug=531
Devuan Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#531: kbd: Init scripts were stripped at 2.0.3-2
From: Mark Hindley <[email-masked]>
To: Elliott Mitchell <[email-masked]>, [email-masked]
Date: Thu, 16 Feb 2023 14:37:50 +0000

Elliott,

Thanks for this.

On Tue, Dec 08, 2020 at 05:30:38PM -0800, Elliott Mitchell wrote:
> Package: kbd
> Version: 2.0.4-4
> 
> According to the changelog for 2.0.3-2:
> "Stop shipping /etc/init.d/kbd and /etc/kbd/* (Closes: #796583)"

My reading of that bug and also #734164 is that the initscripts were removed
because they were superseded, not because of any dropping of support for
non-systemd inits. kbd is deprecated and console-setup should be used.

I cannot find any breakage caused by the removal so I will close this
report. Please feel free to reopen or start a new bug if you have breakage.

Thanks

Mark

Subject: kbd: Init scripts were stripped at 2.0.3-2
From: Elliott Mitchell <[email-masked]>
To: [email-masked]
Date: Tue, 8 Dec 2020 17:30:38 -0800

Package: kbd
Version: 2.0.4-4

According to the changelog for 2.0.3-2:
"Stop shipping /etc/init.d/kbd and /etc/kbd/* (Closes: #796583)"

I guess text consoles are now impossible to blank now without systemd or
modifying /etc/rc.local (was already bad enough having to chase the
configuration files between packages)...

-- 
(\___(\___(\______          --=> 8-) EHM <=--          ______/)___/)___/)
 \BS (    |         [email-masked]  PGP 87145445         |    )   /
  \_CS\   |  _____  -O #include <stddisclaimer.h> O-   _____  |   /  _/
8A19\___\_|_/58D2 7E3D DDF4 7BA6 <-PGP-> 41D1 B375 37D0 8714\_|_/___/5445